import { jsx } from "react/jsx-runtime";
import { FileTsIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const FileTs = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "FileTs", ...props, children: /* @__PURE__ */ jsx(FileTsIcon, { weight: variant }) });
  }
);
FileTs.displayName = "FileTs";
Object.assign(FileTs, { isGdsIcon: true });
export {
  FileTs
};
